Subject: Re: [PATCH v7 5/9] varint: use explicit width for integers

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 2 Oct 2025 09:30:21 +0200

On Wed, Oct 01, 2025 at 11:22:44AM -0600, Ezekiel Newren wrote:
> On Tue, Sep 30, 2025 at 7:34 AM Kristoffer Haugsbakk
> <[email-masked]> wrote:
> >
> > On Thu, Sep 25, 2025, at 08:30, Patrick Steinhardt wrote:
> > > The varint subsystem currently uses implcit widths for integers. On the
> >
> > s/implcit/implicit/
> >
> > > one hand we use `uintmax_t` for the actual value. On the other hand, we
> > > use `int` for the length of the encoded varint.
> > >
> > > Both of these have known maximum vaules, as we only support at most 16
> >
> > s/vaules/values/
> 
> Other than the typos this looks good.

Thanks, both of you! I'll send another (hopefully the last) iteration
now. Guess we'll now have to decide whether we want to try this Rust
experiment or not.

Patrick